Hooks:PostHook(WeaponFactoryTweakData, "init", "KS12UBEFOU", function(self)

-- Override Fix --
local hr_wpn_override = {

-- Primary Weapons --
-- Light Machine Gun
	"wpn_fps_lmg_par",
	"wpn_fps_lmg_rpk",
	"wpn_fps_lmg_m60",
	"wpn_fps_lmg_hk51b",
	"wpn_fps_lmg_m249",
	"wpn_fps_lmg_mg42",
	"wpn_fps_lmg_hk21",

-- Akimbo SMG --
	"wpn_fps_smg_x_mac10",
	"wpn_fps_smg_x_mp5",
	"wpn_fps_smg_x_mp9",
	"wpn_fps_smg_x_olympic",
	"wpn_fps_smg_x_shepheard",
	"wpn_fps_smg_x_sr2",
	"wpn_fps_smg_x_erma",
	"wpn_fps_smg_x_akmsu",
	"wpn_fps_smg_x_p90",
	"wpn_fps_smg_x_m1928",
	"wpn_fps_smg_x_m45",
	"wpn_fps_smg_x_mp7",
	"wpn_fps_smg_x_hajk",
	"wpn_fps_smg_x_cobray",
	"wpn_fps_smg_x_pm9",
	"wpn_fps_smg_x_scorpion",
	"wpn_fps_smg_x_baka",
	"wpn_fps_smg_x_schakal",
	"wpn_fps_smg_x_vityaz",
	"wpn_fps_smg_x_tec9",
	"wpn_fps_smg_x_polymer",
	"wpn_fps_smg_x_coal",
	"wpn_fps_smg_x_sterling",
	"wpn_fps_smg_x_uzi",

-- Secondary weapons --
-- SMG --
	"wpn_fps_smg_mac10",
	"wpn_fps_smg_mp5",
	"wpn_fps_smg_mp9",
	"wpn_fps_smg_olympic",
	"wpn_fps_smg_shepheard",
	"wpn_fps_smg_sr2",
	"wpn_fps_smg_erma",
	"wpn_fps_smg_akmsu",
	"wpn_fps_smg_p90",
	"wpn_fps_smg_thompson",
	"wpn_fps_smg_m45",
	"wpn_fps_smg_mp7",
	"wpn_fps_smg_hajk",
	"wpn_fps_smg_cobray",
	"wpn_fps_smg_fmg9",
	"wpn_fps_smg_pm9",
	"wpn_fps_smg_scorpion",
	"wpn_fps_smg_baka",
	"wpn_fps_smg_schakal",
	"wpn_fps_smg_vityaz",
	"wpn_fps_smg_tec9",
	"wpn_fps_smg_polymer",
	"wpn_fps_smg_coal",
	"wpn_fps_smg_sterling",
	"wpn_fps_smg_uzi"
}

for i, wpn_id in pairs(hr_wpn_override) do
	self[wpn_id].override = self[wpn_id].override or {}
end

-----------------------------------------------------------------------------

-- Parts Altering --
-- Parts Specific --
-- Barrel Ext. --
for i, wpn_id in pairs(hr_wpn_override) do
	table.insert(self[wpn_id].uses_parts, "wpn_fps_ass_shak12_ns_suppressor")
	table.insert(self[wpn_id].uses_parts, "wpn_fps_ass_shak12_ns_muzzle")
end

table.insert(self.parts.wpn_fps_lmg_mg42_b_vg38.forbids,	"wpn_fps_ass_shak12_ns_suppressor")
table.insert(self.parts.wpn_fps_smg_mp5_fg_mp5sd.forbids,	"wpn_fps_ass_shak12_ns_suppressor")
table.insert(self.parts.wpn_fps_smg_fmg9_conversion.forbids, "wpn_fps_ass_shak12_ns_suppressor")
table.insert(self.parts.wpn_fps_smg_sterling_b_e11.forbids,	"wpn_fps_ass_shak12_ns_suppressor")
table.insert(self.parts.wpn_fps_smg_vityaz_b_supressed.forbids,	"wpn_fps_ass_shak12_ns_suppressor")

table.insert(self.parts.wpn_fps_lmg_mg42_b_vg38.forbids,	"wpn_fps_ass_shak12_ns_muzzle")
table.insert(self.parts.wpn_fps_smg_mp5_fg_mp5sd.forbids,	"wpn_fps_ass_shak12_ns_muzzle")
table.insert(self.parts.wpn_fps_smg_fmg9_conversion.forbids, "wpn_fps_ass_shak12_ns_muzzle")
table.insert(self.parts.wpn_fps_smg_vityaz_b_supressed.forbids,	"wpn_fps_ass_shak12_ns_muzzle")
table.insert(self.parts.wpn_fps_smg_sterling_b_e11.forbids,	"wpn_fps_ass_shak12_ns_muzzle")

self.wpn_fps_smg_fmg9.override.wpn_fps_ass_shak12_ns_suppressor = self.wpn_fps_smg_fmg9.override.wpn_fps_ass_shak12_ns_suppressor or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_ass_shak12_ns_suppressor.a_obj = "a_nsn"

self.wpn_fps_smg_fmg9.override.wpn_fps_ass_shak12_ns_muzzle = self.wpn_fps_smg_fmg9.override.wpn_fps_ass_shak12_ns_muzzle or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_ass_shak12_ns_muzzle.a_obj = "a_nsn"

end)
